Package org.springframework.aot.hint

# Class ResourcePatternHints

java.lang.Object
org.springframework.aot.hint.ResourcePatternHints

public final class ResourcePatternHints extends Object
A collection of `ResourcePatternHint` describing whether resources should be made available at runtime using a matching algorithm based on include/exclude patterns.

Since:
  6.0
Author:
  Stephane Nicoll, Brian Clozel, Sam Brannen

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ResourcePatternHints.Builder`
Builder for `ResourcePatternHints`.

## Method Summary

Modifier and Type
Method
Description
`List<ResourcePatternHint>`
`getExcludes()`
Return the exclude patterns to use to identify the resources to match.
`List<ResourcePatternHint>`
`getIncludes()`
Return the include patterns to use to identify the resources to match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getIncludes

public List<ResourcePatternHint> getIncludes()
Return the include patterns to use to identify the resources to match.

Returns:
  the include patterns

### getExcludes

public List<ResourcePatternHint> getExcludes()
Return the exclude patterns to use to identify the resources to match.

Returns:
  the exclude patterns